# theoraenc.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/element.h>`
`#include <gstreamermm/preset.h>`

Go to the source code of this file.

## Classes

class | Gst::TheoraEnc
| Gst::TheoraEnc - theoraenc plugin. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::TheoraEncBorderMode { Gst::THEORA_ENC_BORDER_NONE, Gst::THEORA_ENC_BORDER_BLACK, Gst::THEORA_ENC_BORDER_MIRROR }